## doc-debian 6.4

=== doc/Makefile ===
# Makefile to build the txt and html files for the
# doc-debian package

LANGUAGE = english
# Adjust this (or create a symlink) to the location of your webml copy (if you have one)
# If this directory does not exist the 'update' call will not be able to run, read
# the README-build file to know how to set it up
WEBWML   = ~/debian/www/webwml/$(LANGUAGE)

WMLFILES= \
bug-log-access.wml          bug-maint-mailcontrol.wml constitution.1.0.wml   \
bug-log-mailserver.wml      bug-reporting.wml         \
bug-mailserver-refcard.wml  constitution.wml          social-contract.wml    \
bug-maint-info.wml          constitution.1.1.wml      social-contract.1.0.wml \
constitution.1.2.wml        constitution.1.3.wml \
constitution.1.4.wml        constitution.1.5.wml      constitution.1.6.wml

# These are the automatic files we can generate:
TXTFILES = $(subst .wml,.txt,$(WMLFILES))
HTMLFILES = $(subst .wml,.html,$(WMLFILES))
GENERATED_FILES = $(TXTFILES) $(HTMLFILES)
# Mailing lists does not have an associated wml file, so we add it separately
# to keep GENERATED_FILES to be just those that are built with the Makefile
# TXTFILES += mailing-lists.txt

all: $(TXTFILES)

wml: $(WMLFILES)

update:
	 @$(MAKE) wml mailing-lists.txt

clean:
	-rm -f $(GENERATED_FILES)

realclean: clean
	-rm -f $(WMLFILES) mailing-lists.txt bug-pkgreport-opts.inc

%.html: %.wml bug-pkgreport-opts.inc
	wml -i bug-pkgreport-opts.inc -q $< >$@

%.txt: %.html
	lynx -dump -nolist $< >$@

# These rules are conditioned to the existence of $(WEBWML)
# so that the package can be built regardless of its existence
# Warning: hack
webwmlexists := $(shell ls -d $(WEBWML) 2>/dev/null)

ifneq "$(webwmlexists)" ""
bug-log-access.wml: $(WEBWML)/Bugs/Access.wml
	cat $<  |grep -v ^# >$@
bug-log-mailserver.wml: $(WEBWML)/Bugs/server-request.wml
	cat $<  |grep -v ^# >$@
bug-mailserver-refcard.wml: $(WEBWML)/Bugs/server-refcard.wml bug-pkgreport-opts.inc
	cat $<  |grep -v ^# >$@
bug-maint-info.wml: $(WEBWML)/Bugs/Developer.wml
	cat $<  |grep -v ^# >$@
bug-pkgreport-opts.inc: $(WEBWML)/Bugs/pkgreport-opts.inc
	sed -ne '/<define-tag bts_severities>/,/<\/define-tag>/p' -e '/<define-tag bts_tags>/,/<\/define-tag>/p' $< >$@
bug-maint-mailcontrol.wml: $(WEBWML)/Bugs/server-control.wml
	cat $<  |grep -v ^# >$@
bug-reporting.wml: $(WEBWML)/Bugs/Reporting.wml
	cat $<  |grep -v ^# >$@
constitution.wml: $(WEBWML)/devel/constitution.wml
	cat $<  | perl -pe 's/<toc-add-entry /<h2><toc-add-entry /; s/toc-add-entry>/toc-add-entry><\/h2>/' | grep -v ^# >$@
constitution.1.6.wml: $(WEBWML)/devel/constitution.1.6.wml
	cat $<  |grep -v ^# >$@
constitution.1.5.wml: $(WEBWML)/devel/constitution.1.5.wml
	cat $<  |grep -v ^# >$@
constitution.1.4.wml: $(WEBWML)/devel/constitution.1.4.wml
	cat $<  |grep -v ^# >$@
constitution.1.3.wml: $(WEBWML)/devel/constitution.1.3.wml
	cat $<  |grep -v ^# >$@
constitution.1.2.wml: $(WEBWML)/devel/constitution.1.2.wml
	cat $<  |grep -v ^# >$@
constitution.1.1.wml: $(WEBWML)/devel/constitution.1.1.wml
	cat $<  |grep -v ^# >$@
constitution.1.0.wml: $(WEBWML)/devel/constitution.1.0.wml
	cat $<  |grep -v ^# >$@
mailing-lists.wml:  $(WEBWML)/MailingLists/subscribe.wml
	cat $<  |grep -v ^# >$@
social-contract.wml:  $(WEBWML)/social_contract.wml
	cat $<  |grep -v ^# >$@
social-contract.1.0.wml:  $(WEBWML)/social_contract.1.0.wml
	cat $<  |grep -v ^# >$@

mailing-lists.txt: $(WEBWML)/MailingLists/mailing-lists.txt
	cp $< $@

## the Makefile in $(WEBWML)/MailingLists needs internet access!
$(WEBWML)/MailingLists/mailing-lists.txt:
	cd $(WEBWML)/MailingLists && $(MAKE) mailing-lists.txt
else
%.wml:
	@echo "ERROR: Cannot find $(WEBWML) to regenerate the sources. Please read the TODO."
endif

# Not in Debian's website, therefore kept in our own SVN:
# source-unpack.txt
# debian-manifesto

=== debian/changelog ===
doc-debian (6.4) unstable; urgency=medium

  [ Changes by Joost van Baal-Ilić ]
  * Update to reflect new versions of the constition: Version 1.7
    ratified on August 14th, 2016 (current) and Version 1.6 ratified on
    December 13th, 2015.  Thanks Laura Arjona Reina.  (Closes: #834977)
    - doc/constitution.1.5.wml, doc/constitution.1.6.wml,
      doc/constitution.wml: import 2 latest versions of Constitution for the
      Debian Project, update constitution.wml from 1.5 to current 1.7.
    - doc/Makefile: update build system to accommodate 1.5, 1.6 and 1.7
      of constitution.
  * doc/{bug-maint-info.wml,bug-maint-mailcontrol.wml,bug-reporting.wml},
    doc/bug-pkgreport-opts.inc: updated with latest content as found in
    webwml CVS sources.
  * mailing-lists.txt: Update with latest content from web pages.
  * Bump standards version to 3.9.8

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 28 Aug 2016 17:32:50 +0200

=== debian/control ===
Source: doc-debian
Section: doc
Priority: standard
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Standards-Version: 3.9.8
Build-Depends-Indep: debhelper (>= 9), lynx, wml
Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/packages/trunk/doc-debian/
Vcs-Svn: svn://anonscm.debian.org/ddp/packages/trunk/doc-debian/

Package: doc-debian
Architecture: all
Depends: ${misc:Depends}
Suggests: postscript-viewer, www-browser
Recommends: debian-faq
Description: Debian Project documentation and other documents
 The Debian Project is an association of individuals who have made
 common cause to create a free operating system.
 .
 In this package, you will find:
   * Debian Linux Manifesto,
   * Constitution for the Debian Project,
   * Debian Social Contract,
   * Debian Free Software Guidelines.
 .
 Additionally provided are:
   * Debian Bug Tracking System documentation, and
   * Introduction to the Debian mailing lists.
 .
 All of these files are available at ftp://ftp.debian.org/debian/doc/ and
 mirrors thereof.

## doc-debian 6.4+nmu1

=== debian/changelog ===
doc-debian (6.4+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 18 Dec 2020 19:17:14 +0100

## doc-debian 6.5

=== doc/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LANGUAGE = english
 # Adjust this (or create a symlink) to the location of your webml copy (if you have one)
 # If this directory does not exist the 'update' call will not be able to run, read
-# the README-build file to know how to set it up
+# the debian/README.source file to know how to set it up
 WEBWML   = ~/debian/www/webwml/$(LANGUAGE)
 
 WMLFILES= \
@@ -40,7 +40,7 @@
 	wml -i bug-pkgreport-opts.inc -q $< >$@
 
 %.txt: %.html
-	lynx -dump -nolist $< >$@
+	lynx -dump -nolist -display_charset=UTF-8 -assume_charset=UTF-8 $< >$@
 
 # These rules are conditioned to the existence of $(WEBWML)
 # so that the package can be built regardless of its existence

=== debian/changelog ===
doc-debian (6.5) unstable; urgency=medium

  [ Changes by Joost van Baal-Ilić ]
  - doc/Makefile: apply patch contributed by intrigeri in
    <85mvmyu0ee.fsf@boum.org>: "Once applied, doc-debian can be built
    reproducibly in our current experimental framework."  This fixes an
    issue reported earlier by Daniel Kahn Gillmor: "currently, lynx
    produces text output on the basis of the locale.  this means that as
    the locale differs, the generated .txt files change." (Closes: #791673,
    #826544)
  - debian/control: move from Vcs-Svn on anonscm.debian.org aka Alioth
    (which was long gone) to Vcs-Git at
    https://salsa.debian.org/ddp-team/doc-debian.git. (Closes: #922929)
  - doc/constitution.wml, doc/constitution.1.6.wml: add missing end of
    sentence "er than V(D,A)." in Item A.6.3.2, cf
    https://www.debian.org/vote/2015/vote_003. Thanks Kurt Roeckx and Paul
    Gevers. See also www.debian.org Bug #896067.
  - debian/control: add myself to uploaders after OK from Javier
    Fernández-Sanguino Peña in private communication (Message-ID:
    <CAB9B7Uv-WeXLL2bDtD-X0_r92Ur4gPjXd9KBPw=Gv0bMkrGosQ@mail.gmail.com>).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Fri, 01 Jan 2021 14:27:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: doc
 Priority: standard
 Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
-Uploaders: Josip Rodin <joy-packages@debian.org>
+Uploaders: Josip Rodin <joy-packages@debian.org>, Joost van Baal-Ilić <joostvb@debian.org>
 Standards-Version: 3.9.8
 Build-Depends-Indep: debhelper (>= 9), lynx, wml
-Vcs-Browser: http://anonscm.debian.org/viewvc/ddp/packages/trunk/doc-debian/
-Vcs-Svn: svn://anonscm.debian.org/ddp/packages/trunk/doc-debian/
+Vcs-Browser: https://salsa.debian.org/ddp-team/doc-debian
+Vcs-Git: https://salsa.debian.org/ddp-team/doc-debian.git
 
 Package: doc-debian
 Architecture: all
@@ -27,5 +27,5 @@
    * Debian Bug Tracking System documentation, and
    * Introduction to the Debian mailing lists.
  .
- All of these files are available at ftp://ftp.debian.org/debian/doc/ and
+ All of these files are available at http://ftp.debian.org/debian/doc/ and
  mirrors thereof.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --sourcedirectory=doc

override_dh_auto_clean:
	$(MAKE) -C doc clean

get-orig-source:
	$(MAKE) -C doc update

#install::
# TODO - move the files 
#	cp $(docdir)/constitution.1.3.txt ../constitution.txt
#	cp $(docdir)/social-contract.txt ../social-contract.txt

binary-indep/doc-debian::
	dpkg-distaddfile constitution.txt byhand -
	dpkg-distaddfile social-contract.txt byhand -
# Code disabled: There already is a mechanism (which one?)
# synching files over to f.d.o/debian/doc although not exactly the
# same (it retains page footers, which this one doesn't)
#
#      cp $(docdir)/debian-manifesto ../
#      dpkg-distaddfile debian-manifesto byhand -
#      ( cd $(docdir) && ls *.txt) |  \
#          grep -v constitution | \
#          grep -v social-contract | \
#          while read txtfile; do \
#             cp $(docdir)/$$txtfile ../ ; \
#             dpkg-distaddfile $$txtfile byhand - ; \
#            done

## doc-debian 11.3%2Bnmu1

=== debian/changelog ===
doc-debian (11.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 May 2023 23:39:14 +0100

doc-debian (11.3) experimental; urgency=high

  * Improvements in previous d/changelog entry.
  * debian/compat: restored.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sat, 13 May 2023 20:13:48 +0200

doc-debian (11.2) experimental; urgency=high

  * This release is targeted for Debian 12 bookworm: changes with what is
    in testing now are minimal and suitable for an upload late in the
    release cycle.
  * debian/TODO: added
  * Since we are being build with debhelper >= 13.4 from Aug 2021, we no
    longer install /usr/share/doc-base/debian-*, but instead install
    /usr/share/doc-base/doc-debian.debian-* , see #980903 and
    debhelper/-/commit/8eac421c260e62bcecd571af225438e107b33157 .
    (Closes: #1035913).  Thanks Johannes Schauer Marin Rodrigues: "changed
    /usr/share/doc-base/ paths".
  * Revert all changes introduced in 11.0 and 11.1, _except_ for:
    + doc/*wml, doc/*inc: updated with latest content as found in webwml git
      sources at https://salsa.debian.org/webmaster-team/webwml.git:
      - doc/constitution.1.{0..6}.wml, doc/constitution.wml,
        doc/social-contract.{1.0,}wml: update URLs: minor fixes in wml
        syntax / layout, change http to https; in introduction, refer to
        constitution versions 1.5 (jan 2015), 1.6 (dec 2015) and
        1.7 (aug 2016)
      - bug-log-{access,mailserver}.wml, bug-maint-{info,mailcontrol}.wml,
        bug-{mailserver-refcard,reporting}.wml, bug-pkgreport-opts.inc:
        various updates.  Thanks Jakub Wilk.  (Closes: #1031294)
    + Add Debian Social Contract version 1.2:
      - doc/Makefile: add support for social-contract.1.1.wml (apr 2004).
      - doc/social-contract.*: renamed: social-contract.wml ->
        social-contract.1.1.wml
      - doc/social-contract.1.1.wml: updated header
      - doc/social-contract.wml: we now ship Debian Social Contract, Version
        1.2 ratified on October 1st, 2022.
    + Add Debian Constitution 1.9 (mar 2022) and 1.8 (jan 2022). Thanks Raúl
      Benencia.  (Closes: #1020509)
      - doc/constitution.*: renamed: constitution.wml ->
        constitution.1.7.wml
      - doc/constitution.1.8.wml: we now ship Debian Constitution 1.8 (jan
        2022)
      - doc/constitution.wml: we now ship Debian Constitution 1.9 (mar 2022)
    + doc/mailing-lists.txt: Update with may 2023 content from web pages.
    + doc/Makefile: fix/update error message for missing $(WEBWML).

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 11 May 2023 09:08:22 +0200

doc-debian (11.1) unstable; urgency=high

  * Properly close relevant bugreports in previous changelog entries.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 08 May 2023 07:21:32 +0200

doc-debian (11.0) unstable; urgency=high

  * urgency set to high in order to get this shipped with upcoming
    Debian 12 bookworm release.

  [ Changes by Joost van Baal-Ilić ]
  * debian/doc-debian.doc-base.debian-social-contract: Fix typo:
    s/DFGS/DFSG/.  Thanks Legimet.  (Closes: #843449)
  * debian/control: get rid of useless "Suggests: postscript-viewer,
    www-browser".  Thanks Jakub Wilk.  (Closes: #798013)
  * doc/*wml, doc/*inc: updated with latest content as found in webwml git
    sources at https://salsa.debian.org/webmaster-team/webwml.git:
    - doc/constitution.1.{0..6}.wml, doc/constitution.wml,
      doc/social-contract.{1.0,}wml: update URLs: minor fixes in wml
      syntax / layout, change http to https; in introduction, refer to
      constitution versions 1.5 (jan 2015), 1.6 (dec 2015) and
      1.7 (aug 2016)
    - bug-log-{access,mailserver}.wml, bug-maint-{info,mailcontrol}.wml,
      bug-{mailserver-refcard,reporting}.wml, bug-pkgreport-opts.inc:
      various updates.  Thanks Jakub Wilk.  (Closes: #1031294)
  * Add Debian Social Contract version 1.2:
    - doc/Makefile: add support for social-contract.1.1.wml (apr 2004).
    - doc/social-contract.*: renamed: social-contract.wml ->
      social-contract.1.1.wml
    - doc/social-contract.1.1.wml: updated header
    - doc/social-contract.wml: we now ship Debian Social Contract, Version
      1.2 ratified on October 1st, 2022.
  * Add Debian Constitution 1.9 (mar 2022) and 1.8 (jan 2022). Thanks Raúl
    Benencia.  (Closes: #1020509)
    - doc/constitution.*: renamed: constitution.wml ->
      constitution.1.7.wml
    - doc/constitution.1.8.wml: we now ship Debian Constitution 1.8 (jan
      2022)
    - doc/constitution.wml: we now ship Debian Constitution 1.9 (mar 2022)
  * doc/mailing-lists.txt: Update with nov 2021 content from web pages.
  * doc/Makefile: fix/update error message for missing $(WEBWML).
  * debian/README.source: website content (since long) moved from cvs to
    git; update our instructions.  Add hint on how one might want to
    perform a 'git clone'.
  * debian/{compat,control}: update debhelper compatibility version from
    deprecated 9 to 10.
  * tnx _jwilk for prodding me to finally upload.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 04 May 2023 04:09:36 +0200

## doc-debian 11.3+nmu1

=== doc/Makefile ===
--- 
+++ 
@@ -12,8 +12,10 @@
 bug-log-mailserver.wml      bug-reporting.wml         \
 bug-mailserver-refcard.wml  constitution.wml          social-contract.wml    \
 bug-maint-info.wml          constitution.1.1.wml      social-contract.1.0.wml \
+social-contract.1.1.wml \
 constitution.1.2.wml        constitution.1.3.wml \
-constitution.1.4.wml        constitution.1.5.wml      constitution.1.6.wml
+constitution.1.4.wml        constitution.1.5.wml      constitution.1.6.wml \
+constitution.1.7.wml        constitution.1.8.wml
 
 # These are the automatic files we can generate:
 TXTFILES = $(subst .wml,.txt,$(WMLFILES))
@@ -64,6 +66,10 @@
 	cat $<  |grep -v ^# >$@
 constitution.wml: $(WEBWML)/devel/constitution.wml
 	cat $<  | perl -pe 's/<toc-add-entry /<h2><toc-add-entry /; s/toc-add-entry>/toc-add-entry><\/h2>/' | grep -v ^# >$@
+constitution.1.8.wml: $(WEBWML)/devel/constitution.1.8.wml
+	cat $<  |grep -v ^# >$@
+constitution.1.7.wml: $(WEBWML)/devel/constitution.1.7.wml
+	cat $<  |grep -v ^# >$@
 constitution.1.6.wml: $(WEBWML)/devel/constitution.1.6.wml
 	cat $<  |grep -v ^# >$@
 constitution.1.5.wml: $(WEBWML)/devel/constitution.1.5.wml
@@ -82,6 +88,8 @@
 	cat $<  |grep -v ^# >$@
 social-contract.wml:  $(WEBWML)/social_contract.wml
 	cat $<  |grep -v ^# >$@
+social-contract.1.1.wml:  $(WEBWML)/social_contract.1.1.wml
+	cat $<  |grep -v ^# >$@
 social-contract.1.0.wml:  $(WEBWML)/social_contract.1.0.wml
 	cat $<  |grep -v ^# >$@
 
@@ -93,7 +101,7 @@
 	cd $(WEBWML)/MailingLists && $(MAKE) mailing-lists.txt
 else
 %.wml:
-	@echo "ERROR: Cannot find $(WEBWML) to regenerate the sources. Please read the TODO."
+	@echo "ERROR: Cannot find $(WEBWML) to regenerate the sources. Please read debian/README.source."
 endif
 
 # Not in Debian's website, therefore kept in our own SVN:

## doc-debian 11.3+nmu1build1

=== debian/changelog ===
doc-debian (11.3+nmu1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:19:07 +0000
